## palemoon 28.10.0

=== debian/changelog ===
palemoon (28.10.0-1mx19+1) mx; urgency=medium

  * This is a development, bugfix and security update:
    - Implemented URLSearchParams' sort() function.
    - Implemented ES2020 globalThis for web compatibility.
    - Improved our WebM media parser to be more tolerant to different encoding
      styles.
    - Improved our MP3 media parser to be more tolerant to different encoding
      styles and particularly tiny files/stream chunks.
    - Improved performance of table drawing for more corner cases.
    - Changed the way images without a src are handled in page layouts to align
      with the Chrome-pushed spec.
    - Added modern MIPS support.
    - Fixed a regression in WebAudio channel handling due to a landed
      security fix.
    - Fixed a regression preventing scripting from properly disabling input
      controls.
    - Fixed an issue with border radius sometimes not being honored in tables.
    - Fixed some build issues in non-standard configurations.
    - Removed more telemetry code.
    - Removed the in-browser speech recognition engine and API.
    - Removed support for the obsolete and unmaintained NVidia 3DVision
      stereoscopic interface.
    - Changed handling of braille blanks in the ui (CVE-2020-12409) DiD
    - Mitigated a potential timing attack against DSA keys in
      NSS (CVE-2020-12399)
    - Unified XUL Platform Mozilla Security Patch Summary: 1 fixed,
      1 defense-in-depth, 8 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jun 2020 20:32:02 -0700

palemoon (28.9.3-1) obs; urgency=medium

  * Security update:
    - Fixed a potential vulnerability in the zip file reader. DiD
    - Fixed a potential vulnerability in the JavaScript JIT compiler related to
      aliases. DiD
    - Ported several upstream devtools fixes (addresses CVE-2020-12392 and
      CVE-2020-12393).
    - Improved memory safety of some WebAudio calls.
    - Improved memory safety in the XUL window destructor. DiD
    - Unified XUL Platform Mozilla Security Patch Summary: 3 fixed, 
      3 Defense-in-depth, 16 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 May 2020 10:48:02 -0700
