## palemoon 28.11.0

=== debian/changelog ===
palemoon (28.11.0-1) obs; urgency=medium

  * New upstream release:
    - Changed storage format for certificates and passwords to SQLite.
    - Added a preference (browser.tabs.insertAllAfterCurrent) to enable always
      adding new tabs after the current tab, whether related or not.
    - Changed the way Firefox extensions are displayed in the add-on manager
      (provide a clear warning).
    - Denied other types of add-ons that aren't explicitly targeting Pale
      Moon's ID.
    - Improved the browser's DPI-awareness to be per-monitor instead of
      system-wide, on supported Windows operating systems.
    - Updated bookmark backups code with the other half of what should have been
      done way back when, so they work fully as intended.
    - Added a preference (browser.bookmarks.editDialog.showForNewBookmarks) to
      enable immediately showing the edit dialog for new bookmarks.
    - If set to true, clicking the star in the address bar will pop open the
      edit dialog immediately for changing details/sorting.
    - Fixed the useragent string in native mode, and updated UA code to properly
      respond to live changes to some preferences.
    - Tidied up front-end browser JavaScript.
    - Changed the way sources are compiled (on-going de-unification).
    - Improved compatibility with gcc v10
    - Removed support for the obsolete and unmaintained NVidia 3DVision
      stereoscopic interface.
    - Fixed some build issues in non-standard configurations.
    - Fixed wrong positions when calculating the position for position:absolute
      child inside a table.
    - Aligned file name extension of saved url files with other applications
      (lower case)
    - Fixed building with --disable-webspeech (to disable speech synthesis)
    - Added global menubar support for GTK.
    - Implemented node.getRootNode
    - Implemented AbortController (Abort API)
    - Improved the uninstaller to use elevation when prudent and actually remove
      program files.
    - Fixed a rare issue with editable page content.
    - Fixed a crash related to ES module scripts.
    - Aligned ES module scripting better with the current spec and removed eager
      instantiation.
    - Fixed a potential issue with the JPEG encoder. (CVE-2020-12422) DiD
    - Fixed a potential issue with AppCache manifests. DiD
    - Fixed a potential crash in JavaScript date parsing.
    - Fixed a problem with RSA key generation that would make it potentially
      vulnerable to side-channel attacks. (CVE-2020-12402)
    - Fixed a potential crash due to multithread race condition. DiD
    - Fixed a correctness issue in URL handling. (CVE-2020-12418) DiD

  *  Remove patches, fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 17 Jul 2020 15:38:40 -0700

palemoon (28.10.0-2) obs; urgency=medium

  * Add patch to fix FTBFS on armhf, courtesy of adesh on PM forums.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Jun 2020 21:20:37 -0700

palemoon (28.10.0-1) obs; urgency=medium

  * This is a development, bugfix and security update:
    - Implemented URLSearchParams' sort() function.
    - Implemented ES2020 globalThis for web compatibility.
    - Improved our WebM media parser to be more tolerant to different encoding
      styles.
    - Improved our MP3 media parser to be more tolerant to different encoding
      styles and particularly tiny files/stream chunks.
    - Improved performance of table drawing for more corner cases.
    - Changed the way images without a src are handled in page layouts to align
      with the Chrome-pushed spec.
    - Added modern MIPS support.
    - Fixed a regression in WebAudio channel handling due to a landed
      security fix.
    - Fixed a regression preventing scripting from properly disabling input
      controls.
    - Fixed an issue with border radius sometimes not being honored in tables.
    - Fixed some build issues in non-standard configurations.
    - Removed more telemetry code.
    - Removed the in-browser speech recognition engine and API.
    - Removed support for the obsolete and unmaintained NVidia 3DVision
      stereoscopic interface.
    - Changed handling of braille blanks in the ui (CVE-2020-12409) DiD
    - Mitigated a potential timing attack against DSA keys in
      NSS (CVE-2020-12399)
    - Unified XUL Platform Mozilla Security Patch Summary: 1 fixed,
      1 defense-in-depth, 8 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jun 2020 20:32:02 -0700
