## palemoon 28.12.0

=== debian/changelog ===
palemoon (28.12.0-1mx19+1) mx; urgency=medium

  * New upstream release: This is a development, bugfix and security update.
    - Added controls for WASM to the browser's preferences, and enabled by
      default.
    - Enabled various arbitrarily-disabled CSS functions.
    - Added the use of basic path descriptors (i.e. polygon) to css clip paths.
    - Implemented multithreaded request signal handling for the Abort API.
      Please see implementation notes below.
    - Updated the included US-English dictionary, adding approximately 2500
      additional words.
    - Removed the DOM battery API. This was already disabled for privacy reasons
      for a long while.
    - Fixed an erroneous warning displayed on toolkit-only add-ons like supplied
      dictionaries.
    - Fixed an issue with the sessionstore tab load preference.
    - Improved the generation of the names of downloaded files to prevent
      confusion. (CVE-2020-15658)
    - Fixed a code issue with base64 encoding of data.
    - Fixed 2 safety hazards in JavaScript. (One being CVE-2020-15656) DiD
    - Fixed a spec compliance issue with regards to the cross-origin loading
      of scripts. (CVE-2020-15652)

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Aug 2020 22:17:07 -0700

palemoon (28.11.0-2) obs; urgency=medium

  * Add some code to rules and lsb-release to B-Ds to prevent parallel
    builds if on Sid, which fail there because of a buggy make update.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Jul 2020 20:26:20 -0700
