=== debian/control ===
--- 
+++ 
@@ -15,6 +15,8 @@
  libpulse-dev,
  libx11-xcb-dev,
  libxt-dev,
+# needed to detect distrelease in debian/mozconfig
+ lsb-release,
  mesa-common-dev,
  pkg-config,
  python (>= 2.7),
