## palemoon 28.14.1

=== debian/changelog ===
palemoon (28.14.1-1mx17+1) mx; urgency=medium

  * Fix a crash on many popular websites introduced in the new ResizeObserver.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 21:09:07 -0700

palemoon (28.14.0-1mx19+1) mx; urgency=medium

  * New upstream release: This is a development, bugfix and security update:
    - Updated the browser identity code for website security to more clearly
      indicate website status. A detailed explanation is available on the forum
      and beyond the scope of these release notes.
    - Updated unofficial branding to be more generic and more clearly separate
      unofficial builds from Pale Moon as a product. Please note that this goes
      hand in hand with an update of our redistribution license, and from this
      point forward any "New Moon" products are to be considered separate, and
      not unofficial Pale Moon builds or in any way related to or affiliated
      with Pale Moon, despite the similarity in name.
    - Added a preference (signon.startup.prompt) to give users the option to ask
      for the Master Password the moment the application starts (before the main
      window opens). This allows a workaround for getting multiple Master
      Password prompts if individual components need access to the password
      store at the same time.
    - Changed the way download sources are displayed to always use the actual
      domain downloads are from. In some situations the browser would previously
      display the domain of the referring page in an inconsistent fashion.
    - Implemented the ES2019 Object.fromEntries() utility function.
    - Implemented the CSS flow-root keyword.
    - (Re-)implemented percentage-based CSS opacity values according to the
      updated spec.
    - Implemented the last few missing bits for a standards-compliant
      implementation of JavaScript modules.(preloading, resource: scheme, etc.)
    - Implemented the ResizeObserver DOM API.
    - Fixed a null crash on some websites using CSS clip paths.
    - Updated script handling inside SVGs to only run scripts if they are
      enabled and permitted, avoiding a potential XSS pitfall.
    - Fixed several memory safety hazards and crashes.
    - Updated the MediaQueryList interface to the updated spec. It now inherits
      from EventTarget and implements AddEventListener/RemoveEventListener in
      addition to AddListener/RemoveListener and should improve web compatibility for some sites.
    - Removed support for the archaic and non-standard <marquee> element.
    - Removed some leftovers from the discontinued plugin update checker
      service.
    - Removed some internal HPKP implementation leftovers.
    - Cleaned up the Windows widget code to reduce potentially vulnerable
      direct-dll loads.
    - Security issues fixed: CVE-2020-15676 and CVE-2020-15677
    - Unified XUL Platform Mozilla Security Patch Summary: 2 fixed, 1
      defense-in-depth, 7 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 11:20:41 -0700

palemoon (28.13.0-2mx19+1) mx; urgency=medium

  * Add "ac_add_options --enable-phoenix-extensions" to mozconfigs...

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 Sep 2020 20:31:59 -0700

palemoon (28.13.0-1) obs; urgency=medium

  * New upstream release: This is a development, bugfix and security update.
    - Updated the included site-specific user-agent overrides for a number of
      websites that need them.
    - Rewritten the browser's padlock code to use more modern APIs and provide
      more accurate security status indication.
    - Now also with localized tooltips!
    - Fixed a missing close button on the undo prompt after removing a thumbnail
      from the QuickDial new tab page.
    - Fixed an issue with the alternative stylesheet menu in the browser's UI
      not working.
    - Implemented the use of intrinsic aspect ratios for images to improve
      layout during load and page positioning.
    - Added a preference to the use of node.getRootNode and disabled by default.
      See implementation notes.
    - Added CSS -webkit-appearance as an alias for -moz-appearance to improve
      compatibility with websites that only try to use Chrome-specific keywords to style standard form elements.
    - Updated the SQLite library to 3.33.0.
    - Reinstated precise floating point precision model in JavaScript for those
      alternate builders who foolishly try to use the inaccurate "fast" model.
    - Improved spec compliance of modular JavaScript use (ECMAScript modules).
    - Changed media errors to be a more generic response, and added a preference
      (media.sourceErrorDetails.enabled) to enable detailed error reporting of
      media errors for debugging purposes. Previously, detailed errors were
      provided by default which could lead to privacy issues.
    - Improved code stability of the AbortController implementation.
    - Fixed a race condition in the secure connection library (NSS).
    - Security issues fixed: CVE-2020-15664, CVE-2020-15666, CVE-2020-15667,
      CVE-2020-15668 and CVE-2020-15669.
    - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed, 1
      defense-in-depth, 1 rejected, 9 not applicable.
    Implementation notes:
    - In 28.11.0 we introduced node.getRootNode because some websites would fail
      with an error if this function was not present. Unfortunately, this caused
      problems with other sites that (incorrectly) assume Google WebComponents
      are available when this utility function is present (feature detection
      gone wrong). While it is considered by some to be part of the Google
      WebComponents implementation, it actually has utility value outside of
      that use. Because of the problems caused, we've added a preference and
      disabled it by default, fixing these kinds of websites. When needed, you
      can re-enable this function with dom.getRootNode.enabled. This should

