=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,20 @@
 	dh $@
 
 override_dh_auto_clean:
-	rm -f mozconfig
 	dh_auto_clean
 	find . -name '*.pyc' -delete
+	rm -f mozconfig
 
+# Use a custom mozconfig for Sid to build with one thread.
+# Builds on Debian derivatives may have to add their own distrelease codename.
+distrelease := $(shell lsb_release -cs)
+ifeq ($(distrelease),$(filter $(distrelease),sid unstable))
 override_dh_auto_configure:
-	cp debian/mozconfig mozconfig
+	cp debian/mozconfig-sid debian/mozconfig
+endif
 
 override_dh_auto_build:
+	cp debian/mozconfig mozconfig
 	make -f client.mk build
 
 override_dh_auto_install:
