## palemoon 28.14.2

=== debian/changelog ===
palemoon (28.14.2-1mx19+1) mx; urgency=medium

  * Fixed some additional crashes caused by the ResizeObserver API. This should
    take care of all crashes that have been attributed to this new code.
  * Fixed erroneous parsing of CSS percentages as number values.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Oct 2020 09:36:30 -0700

palemoon (28.14.1-1mx19+1) mx; urgency=medium

  * Fix a crash on many popular websites introduced in the new ResizeObserver.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 21:09:07 -0700
