## palemoon 28.15.0

=== debian/changelog ===
palemoon (28.15.0-1mx19+1) mx; urgency=medium

  * This is a standard development and bugfix release.
    - Implemented support for CSS caret-color.
    - Implemented support for un-prefixed ::selection CSS pseudo-element
      styling.
    - Fixed another potential crashing scenario in ResizeObservers.
    - Fixed several crashes in the DOM Fetch API.
    - Fixed a crash in table pagination.
    - Security issues fixed: CVE-2020-15680 (VG-VD-20-115) and several memory
      safety hazards.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Oct 2020 01:18:40 -0700
